import { Maybe } from '@dereekb/util';
import { DbxAvatarViewService } from './avatar.service';
import { DbxAvatarContext, DbxAvatarStyle } from './avatar';
import * as i0 from "@angular/core";
/**
 * Component that displays an avatar image. It has a configurable default avatar.
 */
export declare class DbxAvatarViewComponent {
    readonly defaultContext: Maybe<DbxAvatarContext>;
    readonly avatarService: DbxAvatarViewService;
    readonly defaultAvatarUrl: Maybe<string>;
    readonly avatarUrl: import("@angular/core").InputSignal<Maybe<string>>;
    readonly avatarErrorUrlSignal: import("@angular/core").WritableSignal<Maybe<string | boolean>>;
    readonly avatarStyle: import("@angular/core").InputSignal<Maybe<DbxAvatarStyle>>;
    readonly avatarIcon: import("@angular/core").InputSignal<Maybe<string>>;
    readonly avatarHideOnError: import("@angular/core").InputSignal<Maybe<boolean>>;
    readonly avatarHideOnErrorSignal: import("@angular/core").Signal<boolean>;
    readonly currentAvatarUrlSignal: import("@angular/core").Signal<Maybe<string>>;
    readonly hasAvatarErrorSignal: import("@angular/core").Signal<boolean>;
    readonly avatarUrlSignal: import("@angular/core").Signal<Maybe<string>>;
    readonly hasAvatarSignal: import("@angular/core").Signal<boolean>;
    readonly missingAvatarSignal: import("@angular/core").Signal<boolean>;
    readonly avatarStyleClassSignal: import("@angular/core").Signal<"circle" | "square">;
    readonly hideAvatarSignal: import("@angular/core").Signal<boolean>;
    readonly avatarIconSignal: import("@angular/core").Signal<string>;
    onAvatarImageError(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DbxAvatarViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DbxAvatarViewComponent, "dbx-avatar-view", never, { "avatarUrl": { "alias": "avatarUrl"; "required": false; "isSignal": true; }; "avatarStyle": { "alias": "avatarStyle"; "required": false; "isSignal": true; }; "avatarIcon": { "alias": "avatarIcon"; "required": false; "isSignal": true; }; "avatarHideOnError": { "alias": "avatarHideOnError"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
